Method: dashboards.fetchMigrationMetrics

Full name: projects.locations.instances.dashboards.fetchMigrationMetrics

Fetch metrics related to the dashboard migrations e.g. - total migrations, success rate and HITL.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/dashboards:fetchMigrationMetrics

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent resource for which to fetch metrics. Format: projects/{project}/locations/{region}/instances/{instance}

Request body

The request body must be empty.

Response body

Response message for fetching dashboard migration metrics.

If successful, the response body contains data with the following structure:

JSON representation
{
  "totalMigrations": integer,
  "successRate": number,
  "hitlCount": integer
}
Fields
totalMigrations

integer

Output only. Total number of migrations.

successRate

number

Output only. Success rate of migrations.

hitlCount

integer

Output only. Number of migrations requiring human-in-the-loop.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.